> ## Documentation Index
> Fetch the complete documentation index at: https://docs.syntr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Campaign

> Generate a new campaign draft.

### Request Body

<ParamField body="name" type="string" required>
  Campaign internal name
</ParamField>

<ParamField body="subject" type="string" required>
  Email subject line
</ParamField>

<ParamField body="sender_email_id" type="string" required>
  Fetch from /sender-emails
</ParamField>

<ParamField body="template_id" type="string" required>
  Fetch from /templates
</ParamField>

<ParamField body="recipient_list_ids" type="string[]">
  List of recipient list UUIDs to target (Fetch from /lists)
</ParamField>

<ParamField body="recipients" type="object[]">
  Inline recipients, e.g. `[{"email": "john@domain.com", "name": "John"}]`
</ParamField>

<ParamField body="scheduled_date" type="string">
  ISO format for scheduling
</ParamField>

<ParamField body="status" type="string">
  Initial status (usually 'draft')
</ParamField>

<RequestExample>
  ```json Request theme={null}
  {
    "name": "Summer Sale 2024",
    "subject": "Exclusive 50% Off for you, {{name}}!",
    "sender_email_id": "b7e1-9283-acde-4912-8839",
    "template_id": "441b-99ef-8872-acde-11b2"
  }
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "id": "7722-11bc",
      "name": "Summer Sale 2024",
      "subject": "Exclusive 50% Off for you, {{name}}!",
      "sender_email_id": "b7e1-9283-acde-4912-8839",
      "template_id": "441b-99ef-8872-acde-11b2",
      "status": "draft",
      "createdAt": "2024-03-18T10:00:00Z"
    }
  }
  ```
</ResponseExample>
